Page MenuHomePhabricator

Change text box into editor when the edit symbol was clicked
Closed, ResolvedPublic

Description

Task

  • When users click on the pen symbol, replace the box by an editor so that users can change the content
  • Change the type font in the non-selected box to be the same as in the editor, so the lines stay the same
  • The editor can be closed by clicking on the "Leave editor" button. The boxes will be text boxes again (with the usual font), only that the text in the selected box is now changed according to what was changed in editor mode
  • When the page is saved, the selected changed version is saved.

Mock

Event Timeline

Lea_WMDE renamed this task from Investigate feasability of changing view boxes to editors to Change text box into editor when the edit symbol was clicked.Dec 4 2017, 4:57 PM
Lea_WMDE triaged this task as Normal priority.
Lea_WMDE added a project: WMDE-QWERTY-Team.
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE moved this task from Proposed to Todo on the WMDE-QWERTY-Team board.Dec 4 2017, 5:03 PM
WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2017-12-05 board.

Change 397592 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/TwoColConflict@master] [WIP] Allow editing of text in the two columns

https://gerrit.wikimedia.org/r/397592

WMDE-Fisch removed WMDE-Fisch as the assignee of this task.Apr 11 2018, 4:28 PM
WMDE-Fisch added a subscriber: WMDE-Fisch.

Change 397592 abandoned by WMDE-Fisch:
[WIP] Allow editing of text in the two columns

Reason:
Squashed in
I267de58c2a3f965b8eebfb545e6b417601527191

https://gerrit.wikimedia.org/r/397592

WMDE-Fisch closed this task as Resolved.Aug 13 2019, 9:48 AM
WMDE-Fisch claimed this task.
WMDE-Fisch moved this task from Currently in sprint to Done on the WMDE-QWERTY-Team board.

This was done already and is part of the newer Two-Column-Edit-Conflict-Merge UI.